NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_socklisten(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_socklisten - Create a new socket listening for connections

## Table Of Contents

## Synopsis

- ns_socklisten address port

## Description

ns_socklisten creates a new socket listening for connections at the specified interface address and port. "*" can be used as the address argument to specify all addresses.

## COMMANDS

ns_socklisten address port

## EXAMPLES

## See Also

ns_sockaccept, nsd

## Keywords

NaviServer, listen, socket